package com.chinaitop.depot.storage.model;

import java.util.Date;

public class StorageWaterCheck {
    private String id;

    private Integer orgId;

    private Integer houseId;

    private Integer wareId;

    private Integer lspz;

    private Date hyDate;

    private String hyPerson;

    private String remark;

    private Date inputTime;

    private Date editTime;

    private String dataStatus;

    private String redAlert;//红色警报

    private String blueAlert;//绿色警报

    /**
     * 主键唯一ID
     * @return id 主键唯一ID
     */
    public String getId() {
        return id;
    }

    /**
     * 主键唯一ID
     * @param id 主键唯一ID
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 库ID
     * @return org_id 库ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 库ID
     * @param orgId 库ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 仓房ID
     * @return house_id 仓房ID
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房ID
     * @param houseId 仓房ID
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 货位ID
     * @return ware_id 货位ID
     */
    public Integer getWareId() {
        return wareId;
    }

    /**
     * 货位ID
     * @param wareId 货位ID
     */
    public void setWareId(Integer wareId) {
        this.wareId = wareId;
    }

    /**
     * 粮食品种ID
     * @return lspz 粮食品种ID
     */
    public Integer getLspz() {
        return lspz;
    }

    /**
     * 粮食品种ID
     * @param lspz 粮食品种ID
     */
    public void setLspz(Integer lspz) {
        this.lspz = lspz;
    }

    /**
     * 化验时间
     * @return hy_date 化验时间
     */
    public Date getHyDate() {
        return hyDate;
    }

    /**
     * 化验时间
     * @param hyDate 化验时间
     */
    public void setHyDate(Date hyDate) {
        this.hyDate = hyDate;
    }

    /**
     * 化验人
     * @return hy_person 化验人
     */
    public String getHyPerson() {
        return hyPerson;
    }

    /**
     * 化验人
     * @param hyPerson 化验人
     */
    public void setHyPerson(String hyPerson) {
        this.hyPerson = hyPerson == null ? null : hyPerson.trim();
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 数据生成时间
     * @return input_time 数据生成时间
     */
    public Date getInputTime() {
        return inputTime;
    }

    /**
     * 数据生成时间
     * @param inputTime 数据生成时间
     */
    public void setInputTime(Date inputTime) {
        this.inputTime = inputTime;
    }

    /**
     * 最后修改时间
     * @return edit_time 最后修改时间
     */
    public Date getEditTime() {
        return editTime;
    }

    /**
     * 最后修改时间
     * @param editTime 最后修改时间
     */
    public void setEditTime(Date editTime) {
        this.editTime = editTime;
    }

    /**
     * 数据状态(0:保存,1:提交)
     * @return
     */
    public String getDataStatus() {
		return dataStatus;
	}

    /**
     * 数据状态(0:保存,1:提交)
     * @param dataStatus
     */
	public void setDataStatus(String dataStatus) {
		this.dataStatus = dataStatus;
	}

	public String getRedAlert() {
		return redAlert;
	}

	public void setRedAlert(String redAlert) {
		this.redAlert = redAlert;
	}

	public String getBlueAlert() {
		return blueAlert;
	}

	public void setBlueAlert(String blueAlert) {
		this.blueAlert = blueAlert;
	}
    
}