package com.chinaitop.depot.pushs.service;

public interface PushsService {

	/**
	 * 出入库取库级平台倒仓通知单数据
	 * @param orgId 
	 * @param ids 倒仓申请单号集合字符串
	 * @return
	 */
	String getChangeDatas(String orgId, String ids);

	/**
	 * 倒仓进度数据接收(出入库调用ws接口给推送)
	 * @param orgId 组织机构ID
	 * @param applyNo 倒仓申请单号
	 * @param foodStatus 完成状态
	 * @param goalNumber 完成数量(公斤)
	 * @return
	 */
	String updateChangeStorageHouse(String orgId, String applyNo, String foodStatus, String goalNumber);
}
